From b37cd2466bef8112f2f77bb16b5fea4ed91a38a2 Mon Sep 17 00:00:00 2001
From: Aviv Keller <38299977+RedYetiDev@users.noreply.github.com>
Date: Thu, 29 Feb 2024 17:01:50 -0500
Subject: Update frames.erb

---
 templates/default/fulldoc/html/frames.erb | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/templates/default/fulldoc/html/frames.erb b/templates/default/fulldoc/html/frames.erb
index a116e958..1fac6517 100644
--- a/templates/default/fulldoc/html/frames.erb
+++ b/templates/default/fulldoc/html/frames.erb
@@ -5,10 +5,14 @@
 	<title><%= options.title %></title>
 </head>
 <script type="text/javascript" charset="utf-8">
-  var match = decodeURIComponent(window.location.hash).match(/^#!(.+)/);
-  var name = match ? match[1] : '<%= url_for_main %>';
-  name = name.replace(/^((\w*):)?[\/\\]*/gm, '').trim();
-  window.top.location.replace(name)
+try {
+    var match = decodeURIComponent(window.location.hash).match(/^#!(.+)/);
+    var name = match ? match[1] : '<%= url_for_main %>';
+    var url = new URL(name, location.href);
+    window.top.location.replace(url.origin === location.origin ? name : '<%= url_for_main %>');
+} catch (e) {
+    window.top.location.replace('<%= url_for_main %>');
+}
 </script>
 <noscript>
   <h1>Oops!</h1>
-- 
2.30.2

